$grid-columns-even: 8;
$grid-columns-odd: 7;
$grid-gutter-width: 35px;

// Set a width (to be used in or out of media queries)
@mixin make-col-span-even($columns) {
  width: percentage(($columns / $grid-columns-even));
}
@mixin make-col-span-odd($columns) {
  width: percentage(($columns / $grid-columns-odd));
}

@import "compass/css3";
@import "compass/css3/font-face";

@include font-face("Rock", url("../fonts/ROCK.TTF") format("opentype"));
@include font-face("Rockb", url("../fonts/ROCKB.TTF") format("opentype"));
@include font-face("Rockbi", url("../fonts/ROCKBI.TTF") format("opentype"));
@include font-face("Rockeb", url("../fonts/ROCKEB.TTF") format("opentype"));
@include font-face("Rocki", url("../fonts/ROCKI.TTF") format("opentype"));
@include font-face("Rocc", url("../fonts/ROCC__.TTF") format("opentype"));
@include font-face("Roccb", url("../fonts/ROCCB_.TTF") format("opentype"));

body { background-color: #FFFFFF; margin: 0; font-family: Rock !important; color: #815d45 !important;
  a { color: black; }
  header { background: url('../images/header-full.png') no-repeat scroll 100% center / cover; height: 68vh;
    .logo_top { position: absolute; top: 4vh; left: 9.8vw; z-index: 3; width: 20vw;
      &:after { background: #fff none repeat scroll 0 0; content: "x"; display: block; height: 54px; left: 45px; position: absolute; text-indent: -9999px; width: 220px; top: -54px; }
      img { width: 100%; height: auto; }
    }
    div.navigation { position: fixed; height: 7.5%; width: 100%; background-color: #FFFFFF; z-index: 2; padding-top: 3vh;
      .mobile-nav-button { display: none; }
      .mobile-nav { display: none; }
      img { margin-left: 85%; width: 100%; height: auto; margin-top: -2vh; }
      ul { margin: 0 0 0 28%; top: 40%; position: absolute; width: 100%;
        li { display: inline-block; text-transform: uppercase; margin-right: 1%; }
      }
    }
  }
  .hr { height: 2px; background-color: #b09673; }
  .nav_sec { font-size: 0.8em;
    .nav_sec_section { @include make-col-span-even(1); /*margin-left: 3%;*/
      h3 { margin-bottom: 5%; }
    }
    img { width: 100%; height: auto;}
  }
  .slideshows { background: #fff none repeat scroll 0 0; clear: both; padding-bottom: 40px; position: relative; z-index: 1;
    &:before { border-left: 710px solid #fff; border-right: 710px solid #fff; }
    &:before { background: rgba(0, 0, 0, 0) url("../images/corner_radius_knockout.png") no-repeat scroll center top; border-left: 37vw solid #fff; border-radius: 10px 10px 0 0; border-right: 37vw solid #fff; content: "x"; display: block; height: 42px; margin: 0 auto; overflow: hidden; position: relative; text-indent: 100%; top: -40px; white-space: nowrap; width: 94px; box-sizing: unset; }
  }
  .htitle { border-bottom: 1px solid #94ba43; padding-bottom: 10px;
    &:after { background: #94ba43 none repeat scroll 0 0; content: "x"; display: block; height: 10px; margin: 0 auto; overflow: hidden; position: relative; text-indent: 100%; top: 10px; transform: matrix(0.7071, -0.7071, 0.7071, 0.7071, -2, 5); white-space: nowrap; width: 10px; }
  }
  .fifty { height: 50px; }
  .no-float { float: none; }
  .img-holder { margin-top: 100px; }
  .living_room { background: url('../images/living_room.png') no-repeat 0 0 / cover; height: 684px; margin-top: 100px; }
  .room_section { @include make-col-span-odd(1);
    ul { list-style: none; padding-left:0;
      li { display: block; }
    }
  }
  .handshake { background: url('../images/handshake.png') no-repeat 0 0 / cover; height: 684px; margin-top: 100px; }
  .services { @include make-col-span-even(1);
    h3 { margin-bottom: 5%; }
  }
  .couch { background: url('../images/couch.png') no-repeat 0 0 / cover; height: 743px; margin-top: 100px; }
  h3 { margin-bottom: 5%; text-transform: uppercase; }
  div#map { width: 23vw; height: 30vh; z-index: 1; }
  .footer { background: url('../images/footer_temp.png') no-repeat 0 0 / cover; height: 130px; }
}